## GdauiRawForm

GdauiRawForm — Form widget to manipulate data in a GdaDataModel

## Stability Level

Stable, unless otherwise indicated

## Functions

GtkWidget * | gdaui_raw_form_new ()

## Properties

GdaDataModel * | model | Read / Write

## Types and Values

struct | GdauiRawForm

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── GdauiBasicForm
                            ╰── GdauiRawForm

## Implemented Interfaces

GdauiRawForm implements AtkImplementorIface, GtkBuildable, GtkOrientable, GdauiDataProxy and GdauiDataSelector.

## Includes

    #include <libgda/thread-wrapper/gda-thread-wrapper.h>

## Description

The GdauiForm widget which uses the GdauiRawForm and adds decorations such as information about data model size, and features searching.

## Functions

### gdaui_raw_form_new ()

    GtkWidget *
    gdaui_raw_form_new (GdaDataModel *model);

Creates a new GdauiRawForm widget to display data in `model`

#### Parameters

model | a GdaDataModel, or `NULL`. | [allow-none]

#### Returns

the new widget.

[transfer full]

Since: 4.2

## Types and Values

### struct GdauiRawForm

    struct GdauiRawForm;

## Property Details

### The `“model”` property

      “model”                    GdaDataModel *

Owner: GdauiRawForm

Flags: Read / Write

## See Also

the GdauiForm widget which uses the GdauiRawForm and adds decorations such as information about data model size, and features searching.